﻿using System;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Ink;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using System.ComponentModel;

namespace ConditionallyEnabledFieldsInPropertyGrid
{
	public class WorkItem : INotifyPropertyChanged
	{		
		private DateTime estimated_eta;

		public DateTime Estimated_Eta
		{
			get 
			{
				return estimated_eta; 
			}
			set 
			{ 
				estimated_eta = value; 
			}
		}

		private int status_id;

		public int Status_ID
		{
			get 
			{
				return status_id; 
			}
			set 
			{
				if (value != this.status_id)
				{
					status_id = value;
					this.OnPropertyChanged("Status_ID");
				}
			}
		}

		private void OnPropertyChanged(string propertyName)
		{
			if (this.PropertyChanged != null)
			{
				this.PropertyChanged(this, new PropertyChangedEventArgs(propertyName));
			}
		}

		public event PropertyChangedEventHandler PropertyChanged;
	}
}
